VectorLinux
September 02, 2014, 08:45:48 pm *
Welcome, Guest. Please login or register.
Did you miss your activation email?

Login with username, password and session length
News: Visit our home page for VL info. To search the old message board go to http://vectorlinux.com/forum1. The first VL forum is temporarily offline until we can find a host for it. Thanks for your patience.
 
Now powered by KnowledgeDex.
   Home   Help Search Login Register  
Please support VectorLinux!
Pages: 1 ... 3 4 [5] 6
  Print  
Author Topic: The New vpackager Thread - take a peak  (Read 40078 times)
blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #60 on: January 02, 2008, 09:56:51 am »

the biggest bug is that vpackager doesnt actually put the slack-desc file in the packages  Undecided
Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
M0E-lnx
Administrator
Vectorian
*****
Posts: 3179



« Reply #61 on: January 02, 2008, 10:01:42 am »

BTW, I have fixed this problem, and was able to upload it to svn.
The latest code (if compiled and packaged) should have this problem corrected.

I plan to release a package as soon as I can get my DSL service back. Unless someone else volunteers to compile it and make the package.
Logged

easuter
Global Moderator
Vectorian
*****
Posts: 2160



« Reply #62 on: January 04, 2008, 07:52:47 am »

BTW, I have fixed this problem, and was able to upload it to svn.
The latest code (if compiled and packaged) should have this problem corrected.

I plan to release a package as soon as I can get my DSL service back. Unless someone else volunteers to compile it and make the package.

And it will be a lot easier to package now that Gambas2 is finally a 2.0.0!!! Woohoo!  Grin
Logged

M0E-lnx
Administrator
Vectorian
*****
Posts: 3179



« Reply #63 on: January 04, 2008, 09:03:26 am »

And it will be a lot easier to package now that Gambas2 is finally a 2.0.0!!! Woohoo!  Grin
Yes it will.. BTW easuter, should we now just package the binary instead of all the libs with it?
Logged

easuter
Global Moderator
Vectorian
*****
Posts: 2160



« Reply #64 on: January 04, 2008, 09:17:44 am »

Yeah, I think so, now that Gambas2 can be added to the extra repo safely, it should be like making any other ordinary package.
Logged

M0E-lnx
Administrator
Vectorian
*****
Posts: 3179



« Reply #65 on: January 04, 2008, 09:43:36 am »

kook. the phone co is supposed to fix my DSL today, if that happens, I should have a new vpackager and vasmCC uploaded by monday
Logged

MikeCindi
Tester
Vectorian
****
Posts: 1073


« Reply #66 on: March 10, 2008, 06:39:25 am »

Sorry, in a bit of a hurry so I haven't researched the board for a solution yet but...
I continually get the following:
Code:
vpackager Building openvpn-2.0.9-i586-1vl59.tlz
----------------------------------------------------
BASIC PACKAGE CONFIGURATION
--prefix=/usr
--sysconfdir=/etc
--bindir=/usr/bin
--libdir=/usr/lib
--mandir=/usr/man
--localstatedir=/var
----------------------------------------------------
ADDITIONAL CONFIGURATION
 --with-included-gettext

COMPILER FLAGS: -O2 -march=i586 -mtune=i686

Begin extracting sources
sh: line 0: cd: /tmp/vpackager-builds: No such file or directory
Result: FAILED
This happens with every release of vpackager, on every tarball I try to build, using the default settings on my machine. I have tried removing/changing the build options, etc. also without success. I then revert to building manually as the popup says to do. That is no problem but surely the default settings on a clean VL install (whether 5.8/9 std or 5.8/9 SOHO) should get past this point. I will put a bit more effort into it later this week...
BTW, the above was attempted on 5.9 SOHO alpha 3.3.
Logged

The plans of the diligent lead to profit...Pro. 21:5
VL64 7.1b3                                     RLU 486143
M0E-lnx
Administrator
Vectorian
*****
Posts: 3179



« Reply #67 on: March 10, 2008, 07:24:38 am »

Mikecindy. I'm sorry to inform that there is a serious bug in the code that keeps deleting the temp dir.
I was sort of hoping to come up with some improvements and fix this bug, but it seems to be taking me much longer than the estimated time...

I will start working on a bugfix release to fix this issue
Logged

MikeCindi
Tester
Vectorian
****
Posts: 1073


« Reply #68 on: March 10, 2008, 03:45:20 pm »

Whew, I was beginning to think this was just me.  Wink
I am a patient person though and eagerly awaiting more testing material.
Thanks for your efforts thus far as this will be/is a valuable package for the VL community.
Logged

The plans of the diligent lead to profit...Pro. 21:5
VL64 7.1b3                                     RLU 486143
blurymind
Packager
Vectorian
****
Posts: 1082



« Reply #69 on: March 13, 2008, 06:56:01 am »

latest vpackager1.0.10b , cant edit build scripts from cruxports.

actions>edit build scipt gives an error: this application has encountered an unexpected error and must abort. "[45] file or directory doesnt exist. MbuildFromCrux.?.0 "
the appplication closes.
Logged

status: playing around with new tablet and learning to 3d :p
google page :  http://blurymind.googlepages.com
DA PAGE :  http://www.blurymind.deviantart.com/
M0E-lnx
Administrator
Vectorian
*****
Posts: 3179



« Reply #70 on: March 13, 2008, 06:59:18 am »

You're right... Dunno how that happened.

I think this one will wait until the next release comes along. (giving you guys something to look forward to Wink )

I will make a bug entry just so I dont forget to look at it... Thanks for pointing it out
How is the build from source working for you?
Logged

hata_ph
Packager
Vectorian
****
Posts: 3256


-- Just being myself --


« Reply #71 on: April 13, 2008, 07:23:33 pm »

Dunno anyonw having the same problem but last night i upgrade vpackager to version 1.0.10b-i586-1vl59.tlz and now i cannot run vpackager. It show below error.....

Quote
root:# vpackager
gbr2: error while loading shared libraries: libffi.so.5: cannot open shared object file: No such file or directory
Logged
uelsk8s
Administrator
Vectorian
*****
Posts: 2504



« Reply #72 on: April 13, 2008, 07:38:12 pm »

libffi is in the testing repo. enable it and run slapt-get --update && slapt-get --install libffi
Logged
hata_ph
Packager
Vectorian
****
Posts: 3256


-- Just being myself --


« Reply #73 on: April 13, 2008, 07:44:49 pm »

libffi is in the testing repo. enable it and run slapt-get --update && slapt-get --install libffi

I have enable the testing repo and gslapt did not install it as part of vpackager's dependency.....and i just check gslapt there is no libffi.....
but if I run slapt-get and i can install the libffi.......Tongue
btw, thanks....
Logged
M0E-lnx
Administrator
Vectorian
*****
Posts: 3179



« Reply #74 on: April 14, 2008, 03:37:32 am »

libiffi is a dependancy for the gambas package, not for vpackager directly
Logged

Pages: 1 ... 3 4 [5] 6
  Print  
 
Jump to:  

Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2013, Simple Machines Valid XHTML 1.0! Valid CSS!